/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2012 University of Bonn. All rights reserved.
 * 
 *
 *   This file is part of MoleCuilder.
 *
 *    MoleCuilder is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MoleCuilder is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * AnyFillPredicate.cpp
 *
 *  Created on: Jan 19, 2012
 *      Author: heber
 */


// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

//#include "CodePatterns/MemDebug.hpp"

#include "AnyFillPredicate.hpp"

/** Constructor for class AnyFillPredicate.
 *
 * @param _function function to use as predicate
 */
AnyFillPredicate::AnyFillPredicate(FillPredicator &_function) :
  function(_function)
{}

/** Destructor for class AnyFillPredicate
 *
 */
AnyFillPredicate::~AnyFillPredicate()
{}

/** Predicate implementation that simply calls upon \a AnyFillPredicate::function.
 *
 * @param n Node for which the predicate is to check
 * @return true - predicate results as true, false - predicate results as false
 */
bool AnyFillPredicate::operator()(const Node&n) const {
  return function(n);
}
