/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2012 University of Bonn. All rights reserved.
 * 
 *
 *   This file is part of MoleCuilder.
 *
 *    MoleCuilder is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MoleCuilder is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * Ops_FillPredicate.cpp
 *
 *  Created on: 17.01.2012
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

//#include "CodePatterns/MemDebug.hpp"

#include "Ops_FillPredicate.hpp"
#include "Ops_FillPredicate_impl.hpp"

FillPredicate operator&&(const FillPredicate &a, const FillPredicate &b)
{
  FillPredicate::impl_ptr impl_ptr = FillPredicate::impl_ptr(
      new And_FillPredicate(getFillPredicateImpl(a),getFillPredicateImpl(b)));
	return FillPredicate(impl_ptr);
}

FillPredicate operator||(const FillPredicate &a, const FillPredicate &b)
{
  FillPredicate::impl_ptr impl_ptr = FillPredicate::impl_ptr(
      new Or_FillPredicate(getFillPredicateImpl(a),getFillPredicateImpl(b)));
  return FillPredicate(impl_ptr);
}

FillPredicate operator!(const FillPredicate &a)
{
  FillPredicate::impl_ptr impl_ptr = FillPredicate::impl_ptr(
      new Not_FillPredicate(getFillPredicateImpl(a)));
  return FillPredicate(impl_ptr);
}
